#!/bin/bash
### Expresso Livre - CELEPAR ###
# @Author : Alexandre Correia (alexandrecorreia@celepar.pr.gov.br)
# @Date   : 17/06/2009
# @Description : cp os applets para o workspace expresso.
#########################################################################
#
# IMPORTANTE : CONFIGURE ESTE SCRIPT, CONFORME SUA NECESSIDADE
#
#########################################################################

#########################################################################
# Configure sua workspace #
#########################################################################

EXPRESSO_APPLET="<informe_aqui_sua_workspace>/jabberit_messenger"
EXPRESSO_PLUGIN="<informe_aqui_sua_workspace>/expresso/jabberit_messenger/plugins"
APPLET="<informe_aqui_sua_workspace>/java_source/dist/applet/applet.jar"
PLUGINS="<informe_aqui_sua_workspace>/java_source/dist/applet/plugins"

if [ -e $EXPRESSO_APPLET ];
then
	rm -rf $EXPRESSO_APPLET"/"applet.jar
	rm -rf $EXPRESSO_PLUGIN"/"*.jar
fi

if [ -e $APPLET ];
then
	echo ""
	echo "Copiando applet.jar ...."
	cp $APPLET $EXPRESSO_APPLET
	chmod 777 $EXPRESSO_APPLET"/"applet.jar

	echo "Copiando plugins ...."
	cp $PLUGINS"/"* $EXPRESSO_PLUGIN
	chmod -R 777 $EXPRESSO_PLUGIN"/"*.jar
fi
